import { HttpClient } from '@angular/common/http';
import { Configurations } from '../../configurations';
import { AuthService } from '../../workflow-services/auth.service';
import * as i0 from "@angular/core";
export declare class FrequencyService {
    private http;
    private authService;
    monthArray: Array<string>;
    dayName: Array<string>;
    quarterlyMonth: Array<string>;
    dateConfig: {
        format: string;
        showGoToCurrent: boolean;
    };
    frequencyInfo: {
        placeholder: string;
        pattern: string;
        case: string;
        failedAfter: number;
        window: number;
        timeIn12hr: string;
        timeIn24Hr: string;
        lifecycleDetails: string;
        startFrom: number;
        reportId: number;
        failed_time_utc: number;
        continuous_failed_days: number;
        dateOfModified: number;
        startDate: string;
    };
    frequencyDetails: object;
    private env;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    timeFrom12hTo24h(value: string): string;
    timeIn12(value: any): string;
    frameworkStartDate(row: any): number;
    frameworkFrequency(frequency: any, start_date: any): {
        frequency_pattern: string;
        continuous_failed_days: number;
    };
    shortHand_freqCal(frequency: any, day: any, month: any, year?: any): {
        pattern: string;
        continuous_failed_days: number;
    };
    getOnCompletionOfResponsibility(): import("rxjs").Observable<any[]>;
    changeTimeZone(date: any): Date;
    getResponsibilityList(payload: any): import("rxjs").Observable<any>;
    getResponsibilitiesCount(payload: any): import("rxjs").Observable<any>;
    formatDate(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FrequencyService>;
}
